LINUX.ORG.RU

Гентоводы, срочно нужна помощь!


0

0

В течение ночи нужно поставить на сервак с Gentoo mysql. Gentoo вижу от силы пятый раз, опыта ноль. Есть конкретная проблема. Как я понял, поставить mysql можно командой

emerge dev-db/mysql

Командую, получаю в ответ:

Calculating dependencies /!!! Cannot resolve a virtual package name to an ebuild.

!!! This is a bug, please report it. (virtual/libintl-0)

!!! Problem in dev-db/mysql dependencies.

Подобная ошибка возникает на любой чих с emerge. Сервак ломать ни в коем случае нельзя.

Портажи обновлены из тарбола. Сообщение uname -a:

Linux ***.*****.ru 2.4.25-gentoo-r1 #1 Thu Jul 14 11:07:49 Local time zone must be set--see zic manu i686 Pentium III (Coppermine) GenuineIntel GNU/Linux

Что сделать, чтобы-таки поставить мускул?

★★

Re: Гентоводы, срочно нужна помощь!

Наверное с профилем какие-то косяки или с make.conf

В любом случае рекомендую прочитать-таки handbook, если уж приходится сервер на gentoo поддерживать.

putpixel ()
Ответ на: Re: Гентоводы, срочно нужна помощь! от putpixel

Re: Гентоводы, срочно нужна помощь!

Да я, откровенно говоря, жду не дождусь, когда смогу поставить новый сервак. Этот настраивался чёрт знает когда, с тех пор в него никто не лазил, кроме недоучек с кривыми руками. Работает он per rectum, а заменить пока не могу - новое железо зависло в Ультре. Я не понимаю, как работает эта "№%;: emerge - половины стандартных действий, к которым я привык в системе портов FreeBSD, не могу найти. Разбор идёт со скрипом, да ещё начальник над душой навис...

cache ★★ ()
Ответ на: Re: Гентоводы, срочно нужна помощь! от cache

Re: Гентоводы, срочно нужна помощь!

Выцхлоп "ls -FGg /etc/make.profile" в студию. По любому с профилем что-то не так. И еще, uname же сказал, что Local time zone must be set. Сделай "cp /usr/share/zoneinfo/Europe/Moscow /etc/localtime", или по какому времени там у вас сервак живет...

А вообще сочувствую. Gentoo - хорошая система, но получить сервер под ней в наследство от криворуких недоумков, которые даже handbook не осилили... Хуже не придумаешь.

putpixel ()

Re: Гентоводы, срочно нужна помощь!

А может попробовать:

#rm /usr/portage
#emerge sync
#rm /etc/make.profile
# ln -s ../usr/portage/profiles/default-linux/<что-то> /etc/make.profile

Поправте меня, кто-нибудь.

ТО cache: если решите пробовать сделайте резерв /etc/make.profile и /usr/portage

Rebel_Star ()
Ответ на: Re: Гентоводы, срочно нужна помощь! от Rebel_Star

Re: Гентоводы, срочно нужна помощь!

> #emerge sync

В новых версиях emerge --sync из-под sudo или рута.

Обновит ебилды. Есть шанс, что после этого при emerge mysql придётся компилировать много обновляемых библиотек.

acheron ★★★★ ()
Ответ на: Re: Гентоводы, срочно нужна помощь! от cd_we

Re: Гентоводы, срочно нужна помощь!

>rm /usr/portage/distfiles

удалит исходгики и их придётся качать заново.

2cache: а emerge -pvDNu world что даёт, после emerge --sync ?

mic ★★★★★ ()

Re: Гентоводы, срочно нужна помощь!

Спасибо всем откликнувшимся. Собственно проблема скорее не решена, чем решена, но мой расстрел пока откладывается. :) Что сделано:

Попытка обновления портажей была неудачной. Скачал тарбол со свежей базой. Установил по инструкции.

Выполнил какое-то телодвижение вроде обновления индексов в портах FreeBSD, или оно само при попытке установки программы выполнилось - не помню. После суток без сна всё было, как в тумане. Во время этой операции периодически вываливались сообщения об ошибках в дереве портажей, что удивляет, поскольку дерево легло в пустой каталог, старое всё было удалено.

После этого удалось не без бубна и не с первого раза поставить PHP5 и MySQL5. Попутно при подъёме web-софтины на апаче (для неё и нужен был MySQL) всплывали сообщения о куче неопределённых функций - признак отсутствующих расширений для PHP. Во FreeBSD все расширения ставятся из одного метапорта и хорошо документированы, а здесь... В общем, ковыряюсь неспешно уже до сих пор, ибо...

Понимая, что огребу по полной, если не решу проблему быстро, сделал ход конём - быстренько натянул весь нужный софт на домашний сервак и запустил всё там. Сделал виртуальный хост. Локальный DNS в конторе заставил смотреть на домашний сервак. Теперь есть ещё несколько дней, чтобы спокойно разобраться с конторскм серваком, после этого ночью перетащу на него базу с домашнего и перенаправлю DNS. В результате жить буду. :)

cache ★★ ()
Ответ на: Re: Гентоводы, срочно нужна помощь! от cache

Re: Гентоводы, срочно нужна помощь!

судя по uname - это не сарвак, а кусок какого-то.... в общем непойми что, gentoo не обновляли по ходу очень давно, и подозреваю что там стоит какая-нить старая версия всего что только можно...

В итоге если бы нужно было бы постаить mysql я бы птупо посмотрел версии софта и поставил mysql или что там надо, такой бы версии какой-бы встало без изменения/обновления всего что там было...

Имхо, в вашем случае вполне приемлимое решение, тем более что железка то под смертью ходит

sloth ()

Re: Гентоводы, срочно нужна помощь!

Есть такой баг. Попробуй обновить дерево: emerge sync --nospinner После обнови portage: emerge -u portage P.S. Параметр --nospinner обязателен. Мне это помогло в свое время :)

Truandale ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.